FUNCTION TEM(3)

NAME
boost::algorithm::regex_formatter - Regex formatter.

SYNOPSIS

// In header: <boost/algorithm/string/regex_find_format.hpp>
template<typename CharT, typename TraitsT, typename AllocT>
  unspecified regex_formatter(const std::basic_string< CharT, TraitsT, AllocT > & Format,
                              match_flag_type Flags = format_default);

DESCRIPTION

Construct the regex_formatter. Regex formatter uses the regex engine to format a match found by the regex_finder. This formatted it designed to closely cooperate with regex_finder.

Parameters:

    Flags
        Format flags

    Format
        Regex format definition

Returns:
    An instance of the regex_formatter functor